View Issue Details

IDProjectCategoryView StatusLast Update
0003621ScribusImport / Exportpublic2019-12-17 09:15
ReporterTsoots Assigned ToTsoots  
PrioritynoneSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003621: [OBSOLETE] Metabug: COSS text importer update
DescriptionI'll group all the issues related to COSS (http://www.coss.fi/en/) sponsored text import work here + some additional text import related issues I'm gonna work on in the near future. Most of these issues will be resolved in three months starting from the beginning of June. There's the original work plan attached (in Finnish) ps_scribus.pdf. Some more discussion over the ideas can be found from the mailing list thread http://nashi.altmuehlnet.de/pipermail/scribus/2006-April/016854.html
Additional InformationProject plan
============
============

Foreword
========
bla bla bla

Project outline
===============
bla bla bla

Plugin interface for text importer plugins
------------------------------------------
Plugin interface is ment to be a simple api for coders to build
file format importers for Scribus. It will be acting in between the
plugins and Scribus' core text handling code.

Interface will allow two types of plugins to be written with it.
The most common type of plugin is a regular file format importer
plugin. This type of plugin will convert an external file format
into a Scribus understandable format and will be used for example
when importing text from a text file, OpenDocument Text file...
The second type of plugins, the api will make possible, is plugins
that will work on the formatting and text of the document
that is currently being imported.

To make these two plugin types possible plugin handling system
will need to allow piping of plugins. Ie. one can direct the output
of a file importer plugin to a style/text handling plugin. One
situation where this could be used is for example when removing
all formatting from an ODT file. The flow for such a setup is
presented in the following picture.

ODT -->
  Scribus ODT importer -->
    Style remover plugin -->
      Scribus text frame

Another possible use case for a plugin chain like this is when the person
responsible for the layout wants to remap the styles present in for
example OpenOffice.org document to ones in the Scribus Document.
Then one would direct the output of the ODT-importer to the style
remampping plugin which is presented in the next picture.

[insert pic 2 here]

bla bla bla

Plain text files
----------------
bla bla bla

OpenDocument Text files
-----------------------
bla bla bla

Text and Style Filters
----------------------
Text and style filters will allow search and replace type of
actions on the text and styles of the imported document. This
plugin will only work when piped with a file importer plugin.
The most important features it will offer are search and replace
for text, search and replace for styles and style application
based on user defined tags.

Rich Text Format files
----------------------
bla bla bla

Documentation
-------------
bla bla bla

(most important parts of the work plan in English)

Process
=======

Size estimation
---------------
bla bla bla 6700 loc

Schedule
--------
bla bla bla
TagsNo tags attached.
PatchNo

Relationships

parent of 0003589 acknowledged Add Libwpd support (Word Perfect importing) 
parent of 0003531 closedjghali ODT files whose names contain special/unicode characters cannot be imported on Windows 
parent of 0003407 assignedTsoots New text import filter using start and end markers. 
parent of 0003007 closedcbradney Import Text filter does not recognize upper case extension 
parent of 0001809 assignedTsoots OpenOffice 2.0 writer import does not import footnotes properly 
parent of 0001598 closedcbradney Missing prefence to text importer 
parent of 0001474 closedfschmid rtf import 
parent of 0002332 new Add regular expression capability to Search/Replace 
Not all the children of this issue are yet resolved or closed.

Activities

2006-04-10 21:54

 

ps_scribus.pdf (390,550 bytes)

Issue History

Date Modified Username Field Change
2006-04-10 21:54 Tsoots New Issue
2006-04-10 21:54 Tsoots File Added: ps_scribus.pdf
2006-04-10 21:54 Tsoots Status new => assigned
2006-04-10 21:54 Tsoots Assigned To => Tsoots
2006-04-10 21:55 Tsoots Relationship added parent of 0003589
2006-04-10 21:56 Tsoots Relationship added parent of 0003531
2006-04-10 21:57 Tsoots Relationship added parent of 0003407
2006-04-10 21:58 Tsoots Relationship added parent of 0003007
2006-04-10 22:00 Tsoots Relationship added parent of 0001809
2006-04-10 22:03 Tsoots Relationship added parent of 0001598
2006-04-10 22:04 Tsoots Relationship added parent of 0001474
2006-04-17 14:42 Tsoots Relationship added parent of 0002332
2014-10-07 23:55 Kunda Summary COSS text importer update (meta bug) => Metabug: COSS text importer update
2019-12-17 09:15 ale Summary Metabug: COSS text importer update => [OBSOLETE] Metabug: COSS text importer update
2019-12-17 09:15 ale Patch => No